from django.conf.urls import url
from .views import EquipmentList, EquipmentView, EquipmentListByCategory, EquipmentListByOwner, EquipmentHome

app_name = 'equipment'
urlpatterns = [
        url(r'^$', EquipmentHome.as_view(), name='home'),
        url(r'^all/$', EquipmentList.as_view(), name='list'),
        url(r'^(?P<pk>[0-9]+)/$', EquipmentView.as_view(), name='detail'),
        url(r'^c/(?P<pk>[0-9]+)/$', EquipmentListByCategory.as_view(), name='list_by_category'),
        url(r'^o/(?P<pk>[0-9]+)/$', EquipmentListByOwner.as_view(), name='list_by_owner'),
]
